[CentOS] Request for good advice to upgrade kernel

Rodrigo Barbosa rodrigob at suespammers.org
Tue Mar 21 15:47:01 UTC 2006

Hash: SHA1

On Tue, Mar 21, 2006 at 03:44:54PM +0100, Ralph Angenendt wrote:
> Rodrigo Barbosa wrote:
> > On Tue, Mar 21, 2006 at 02:05:46PM +0100, Ralph Angenendt wrote:
> > > kernel 2.6.9-34.EL still is based on kernel.org's 2.6.9 kernel, but has at
> > > least 700 patches in it (that is added up for all architectures, so your
> > > i386 kernel doesn't really have 700 patches applied to it). But the
> > > kernel-API is still the same as in 2.6.9 (later 2.6.x kernels have a
> > > different one).
> > 
> > And there you are wrong.
> > 
> > I give you the exemple of slmodemd, where you have to change it so it
> > detects the CentOS kernel as if it were 2.6.10+. Otherwise, it won't
> > even compile, due to difference on the headers.
> Hmmmm. Compiled fine without any changes here. slmodemd-2.9.10 that is.

Are you sure that was the stock slmodemd, and not the "abby" version ?
The "abby" version is already patched to work on RHEL4.

In any case, the version I had to patch was 2.9.9d.


- -- 
Rodrigo Barbosa <rodrigob at suespammers.org>
"Quid quid Latine dictum sit, altum viditur"
"Be excellent to each other ..." - Bill & Ted (Wyld Stallyns)

Version: GnuPG v1.4.1 (GNU/Linux)


More information about the CentOS mailing list